Home | All Classes | Grouped Classes | Index | Search

# Class CL_MenuNode

MenuNode component More...

Derived from: CL_Component
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

Construction:

CL_MenuNode | CL_MenuNode Constructor

Attributes:

get_data | Returns a pointer to the CL_Component which is this MenuNodes MenuItem.
has_mouse_in_submenus | Returns true if the mouse is in the submenus of this node.
has_mouse_over | Returns true if the mouse is on this component or it's MenuItem This overrides CL_Component's has_mouse_over()
has_submenu | Returns true if the node has a submenu.
has_open_submenu | Returns true if the node has an open submenu.
get_submenu | Returns the nodes submenu, or NULL if the node has no submenu.
get_parent_menu | Returns the nodes parent menu.
get_name | Returns the name of the menu node. A menu nodes name forms a part of the path used by the CL_Menu::get_(std::string path) functions.

Operations:

set_submenu | Set the nodes submenu.
set_parent_menu | Set the nodes parent menu.
set_close_on_click | Set whether the menus should collapse when an node is clicked
collapse | Close the nodes submenu.
open_submenu | Open the nodes submenu.
reposition_submenus | Start the repositioning of the nodes submenus.
set_name | Set the name of the node. This forms a part of the path used in adressing menu components.

Signals:

sig_reposition | Emitted when repositioning of the menus is requested.
sig_clicked | Emitted when a menu node is clicked.

Detailed description:

!group=GUI/Controls! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.